org.springframework.data.relational.core.sql

## Interface Visitor

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface Visitor

AST `Segment` visitor. Visitor methods get called by segments on entering a `Visitable`, their child `Visitable`s and on leaving the `Visitable`.

Since:
  1.1
Author:
  Mark Paluch

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`void` `enter(Visitable segment)` Enter a `Visitable`.
`default void` `leave(Visitable segment)` Leave a `Visitable`.

### Method Detail

#### enter

    void enter(Visitable segment)

Enter a `Visitable`.

Parameters:
  `segment` - the segment to visit.

#### leave

    default void leave(Visitable segment)

Leave a `Visitable`.

Parameters:
  `segment` - the visited segment.